<?php

namespace Model;

use BusinessClass\Question;
use BusinessClass\TextQuestion;

class FactoryQuestion extends Factory
{
    public function create(array $results): array
    {
        $questions = [];
        if($results[0] != null)
        {
            for($i = 0;  $i < count($results[0]); $i++)
            {
                if(strcmp($results[0][$i]['type'], "BusinessClass\TextQuestion") == 0)
                {
                    $questions[] = new TextQuestion($results[0][$i]['content'], $results[0][$i]['id']);
                }
                else
                {
                    $possiblesResponses = $results[1][$i];
                    $content = $results[0][$i]['content'];

                    $categories = $results[2][$i];

                    $id = $results[0][$i]['id'];

                    $questions[] = new $results[0][$i]['type']($possiblesResponses, $content, $categories, $id);
                }
            }
        }

        return $questions;
    }
}
