<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="Views/CSS/base.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap" rel="stylesheet">
    <title>Formulaire de témoignage</title>
</head>

<body>

    <img id="logoUCA" src="https://cdn.uca.fr/images/logos/logo_uca_mini_light.png" height="35px" width="auto" alt="logo UCA">
    <h1>Administration</h1>

    <h2>Ajouter une catégories :</h2>
    <form method="post">
        <label for="keyword">Écrivez la catégorie : </label>
        <input id="keyword" name="keyword" type="text" size="50">
        <input type="submit" value="Ajouter">
        <input type="hidden" name="action" value="addKeyword">
    </form>

    <h2>Ajouter une question :</h2>
    <form method="post">

        <label for="question">Écrivez la question : </label>
        <br>
        <input id="question" name="question" type="text" size="100">

        <br><br>

        <label for="type">Séléctionnez le type de question souhaitée :
            <br>- Text permet à l'utilisateur d'écrire lui même la réponse.
            <br>- ListBox permet à l'utilisateur de choisir une réponse parmi plusieurs possibilités.
            <br>- CheckBox permet à l'utilisateur de choisir une ou plusieurs réponses parmi plusieurs possibilités.
        </label>
        <br>
        <select id="type" name="type">
            <option value="BusinessClass\ListBoxQuestion">ListBox</option>
            <option value="BusinessClass\CheckBoxQuestion">CheckBox</option>
            <option value="BusinessClass\TextQuestion">Text</option>
        </select>

        <br><br>
        <label for="responses">Écrivez la liste des réponses possibles en les séparant comme cela :
            <br>Réponse1; Réponse2; Réponse3;
        </label>
        <br>
        <input id="responses" name="responses" type="text" size="100">

        <br><br>
        <label for="categories">Écrivez la liste des catégories associée à chaque question comme cela :
            <br>Catégorie1.1,Catégorié1.2; Catégorie2.1; Catégorié3.1,Catégorie3.2,Catégorie3.3;
        </label>
        <br>
        <input id="categories" name="categories" type="text" size="100">

        <br><br>
        <input type="submit" value="Confirmer">
        <input type="hidden" name="action" value="addQuestion">
    </form>

</body>

</html>
